package com.cf.imes.module.system.validation.products;


import jakarta.validation.Constraint;
import jakarta.validation.Payload;
import java.lang.annotation.*;

/**
 * 产品状态校验注解
 */
@Target({
        ElementType.FIELD,
})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Constraint(
        validatedBy = {ProductStatusValidator.class}
)
public @interface ProductStatus {

    String message() default "{product.status.invalid}";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};

}
